/*
* Classic Space Wars
*
* Copyright 1997, The Plastic Factory, All rights reserved
*
* Author: Peter Hirschberg
*
* Written for Microsoft Visual C++ version 5.0
*
* The released version of the CLASSIC SPACE WARS APPLICATION for Windows 95 is
* available from our website at http://www.advancedaerials.com/plastic/index.htm .
* The current version of this SOURCE CODE is also available here.
*
*
*
* License agreement:
*
* This SOURCE CODE may be distributed in unmodified form to any medium.
*
* The SOURCE CODE or the CLASSIC SPACE WARS APPLICATION may not be sold,
* or sold as a part of a commercial package without the express written
* permission of The Plastic Factory (hippies@mnsinc.com).
* This includes shareware.
*
* *** MODIFIED VERSIONS OF THIS SOURCE CODE OR THE SPACE WARS APPLICATION MAY NOT
* *** BE PUBLICLY REDISTRIBUTED WITHOUT AUTHOR APPROVAL!! (hippies@mnsinc.com).
* This includes distributing via a publicly accessible LAN.
* The Plastic Factory retains all rights to this SOURCE CODE,
* and the CLASSIC SPACE WARS APPLICATION.
*
* The Plastic Factory, and Peter Hirschberg will not be held responsible for
* any damage done by the use of this SOURCE CODE,
* or the CLASSIC SPACE WARS APPLICATION.
* It is purely "as-is".
*
* If you find problems with this SOURCE CODE,
* or make any additions/modifications/improvements,
* PLEASE EMAIL THE PLASTIC FACTORY so that they can be propogated to the
* installed base of CLASSIC SPACE WARS users.
* 
* Thank you!
* 
* Peter Hirschberg
* 
* The Plastic Factory
* Email : hippies@mnsinc.com
* Website : http://www.advancedaerials.com/plastic/index.htm
*
*/


#define STRICT

// includes
#include <windows.h>
#include <stdio.h>

#include "resource.h"
#include "object.h"




/*
 ** KeysDlgProc()
 *
 *
 *  PARAMETERS:
 *
 *  DESCRIPTION:
 *
 *  RETURNS:
 *
 */
BOOL CALLBACK KeysDlgProc (HWND HDlg, UINT Msg, UINT WParam, LONG LParam){

	switch (Msg){                                   
		case WM_INITDIALOG:
			// dialog box was just created; return TRUE to have
			// Windows set focus to first control:
MessageBeep(-1);
			return TRUE;
       
		case WM_COMMAND:  // user issued a command
			switch (WParam){           
				case IDCANCEL:
					// user chose Close command on system menu or 
					// pressed Esc; therefore, close the dialog box:
					EndDialog (HDlg, IDCANCEL);
					return TRUE;

				case IDOK:
					EndDialog (HDlg, IDOK);
					return TRUE;

					default:          // have Windows perform default
					return FALSE;  // message processing  
			}

		default:          // have Windows perform default
			return FALSE;  // processing for all other messages
	}
}

